## net.sf.colorer
Class Region

    java.lang.Object
      net.sf.colorer.Region

public class Region
extends java.lang.Object

HRC Region implementation. Contains information about HRC Region and it attributes:

- name
- description
- parent

Constructor Summary
`Region(java.lang.String name, java.lang.String descr, Region parent, int id)`

Method Summary
`java.lang.String` `getDescription()` Region description
`int` `getID()` Quick access region id (incrementable)
`java.lang.String` `getName()` Full Qualified region name (`def:Text` for example)
`Region` `getParent()` Direct region ancestor (parent)
`boolean` `hasParent(Region region)` Checks if region has the specified parent in all of it's ancestors.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Region

    public Region(java.lang.String name,
                  java.lang.String descr,
                  Region parent,
                  int id)

Method Detail

### getName

    public java.lang.String getName()

  Full Qualified region name (`def:Text` for example)

### getDescription

    public java.lang.String getDescription()

  Region description

### getParent

    public Region getParent()

  Direct region ancestor (parent)

### getID

    public int getID()

  Quick access region id (incrementable)

### hasParent

    public boolean hasParent(Region region)

  Checks if region has the specified parent in all of it's ancestors. This method is useful to check if region has specified parent, and use this information, as region type specification. For example, `def:Comment` has `def:Syntax` parent, so, some syntax checking can be made with it's content.

### toString

    public java.lang.String toString()

Copyright © 2003 Cail Lomecb. All Rights Reserved.